#
# EDOS testing framework
# Copyright (C) 2006 EDGE-IT
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#

#
# Author: Francois Dechelle <fdechelle@mandriva.com>
#
# $Id: main.py 3861 2007-05-22 08:24:44Z mjvm $

__revision__ = '$Rev: 3861 $'[6:-2]

import os.path
import sys
import optparse
import locale
from edostestassistant.TestAssistant import TestAssistant
from edostestrunner.config import Config

def collectOptions():
    parser = optparse.OptionParser()
    default_language = locale.getdefaultlocale()[0][:2]

    parser.add_option('-f', '--file',
                      dest='filename',
                      help='read XML test specification from FILE', metavar='FILE')

    parser.add_option('-c', '--config-file',
                      dest='configFile',
                      help='read configuration from FILE', metavar='FILE')

    parser.add_option('-l', '--lang',
                      dest='lang',
                      default=default_language,
                      help='set language to LANG', metavar='LANG')

    (options, args) = parser.parse_args()

    if options.filename is None:
        parser.print_help()
        parser.error( "no XML test specification file given")
 
    return options

def main(args):
    options = collectOptions()
    config = Config( options.configFile)
    testReporter = config.getReporter()
    testAssistant = TestAssistant( options.filename, testReporter, options.lang)

