from qt import *
from edostestassistant.LangPopUp import LangPopUp
from edostestassistant.Start import Start
from edostestassistant.Step import Step
from edostestassistant.Result import Result
import sys

class Adapter:
    def __init__(self,app,lang,start,step,result):
        self.app = app
        self.start = start
        self.step = step
        self.result = result
        lang.connect( lang.buttonOk, SIGNAL("clicked()"), self.goStart)
        start.connect( start.startButton, SIGNAL("clicked()"), self.goStep)
        step.connect( step.nextButton, SIGNAL("clicked()"), self.goResult)
        result.connect( result.submitButton, SIGNAL("clicked()"), self.submit)

    def goStart(self):
        self.app.setMainWidget(self.start)
        lang.close()
        start.show()

    def goStep(self):
        self.app.setMainWidget(self.step)
        start.close()
        step.show()

    def goResult(self):
        self.app.setMainWidget(self.result)
        step.close()
        result.show()

    def submit(self):
        self.app.quit()

if __name__ == '__main__':
    app = QApplication(sys.argv)
    lang = LangPopUp()
    start = Start()
    step = Step()
    result = Result()
    app.setMainWidget(lang)
    lang.show()
    a = Adapter(app,lang,start,step,result)
    app.exec_loop()
